# -*- encoding: utf-8 -*-
# stub: floatyhelper 2.0.5 ruby lib

Gem::Specification.new do |s|
  s.name = "floatyhelper".freeze
  s.version = "2.0.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Nick Burgan-Illig".freeze]
  s.date = "2021-07-29"
  s.description = "This CLI app utilizes Vmfloaty (https://github.com/puppetlabs/vmfloaty) to manipulate sets of VMs. VM groups can be snapshotted and reverted as sets of hosts. This is useful when testing various configurations of Puppet Enterprise.".freeze
  s.email = ["nick.burgan-illig@puppet.com".freeze]
  s.executables = ["floatyhelper".freeze]
  s.files = ["bin/floatyhelper".freeze]
  s.homepage = "https://github.com/puppetlabs/floatyhelper".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "CLI tool for manipulating Puppet's vmpooler VMs with Vmfloaty.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop-rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<webmock>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<commander>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<vmfloaty>.freeze, [">= 1.2.0"])
    s.add_runtime_dependency(%q<colorize>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop-rspec>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop-rake>.freeze, [">= 0"])
    s.add_dependency(%q<webmock>.freeze, [">= 0"])
    s.add_dependency(%q<commander>.freeze, [">= 0"])
    s.add_dependency(%q<vmfloaty>.freeze, [">= 1.2.0"])
    s.add_dependency(%q<colorize>.freeze, [">= 0"])
  end
end
